2016-03-14  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 4.2.2

	* lib/yp_all_host.c: Revert last change.
	* src/yppoll.c: Use callrpc instead of rpc_call.

	* release version 4.2.1

	* configure.ac: Change order of tests.
	* lib/yp_all_host.c: Remove not needed netdb.h include.

2016-03-08  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 4.2

	* src/yppasswd_xdr.c (xdr_passwd): sunrpc uses different
	types than tirpc, adjust xdr calls.

	* configure.ac: Check for struct ypbind3_binding.
	* lib/ypbind3_binding_dup.c: Use only if ypbind3_binding exists.
	* lib/ypbind3_binding_free.c: Likewise.
	* lib/host2ypbind3_binding.c: Likewise.
	* src/ypwhich.c: Enable ypbind3 support only if exists.
	* src/yppasswd.c: Likewise.
	* src/yppoll.c (main): Likewise.
	* src/ypset.c: Likewise.
	* src/yp_dump_binding.c: Likewise.

2016-03-02  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 4.1

	* src/yppasswd.c (getnismaster): Replace getrpcport with rpcb_getaddr.

2016-02-26  Thorsten Kukuk  <kukuk@thkukuk.de>

	* src/yppoll.c (main): Check if the domain was bound.

2016-02-15  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 4.0

	* src/yppasswd.c (verifypassword): Don't check for identical
	password on shadow systems.
	* man/yppasswd.1.in: Document problems on shadow systems.

2016-02-02  Thorsten Kukuk  <kukuk@thkukuk.de>

	* nss_nis6: Remove directory.

	* Makefile.am: Remove nss_nis6.

	* src/ypset.c: Include internal.h header.

	* src/yppasswd_xdr.c (xdr_passwd): Use xdr_uint32_t for uid/gid.

	* lib: Remove libnis.

2016-01-20  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 3.5

	* lib/do_ypcall.c: Change resp argument of do_ypcall_tr from
	caddr_t to ypresp_val.
	* lib/internal.h: Likewise.
	* lib/yp_maplist.c: Adjust call of do_ypcall_tr.
	* lib/yp_master.c: Likewise.
	* lib/yp_match.c: Likewise.
	* lib/yp_next.c: Likewise.
	* lib/yp_order.c: Likewise.

2015-04-16  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 3.4

	* nss_nis6/nis-grp.c: Remove glibc special expect macros.
	* nss_nis6/nis-pwd.c: Likewise.
	* nss_nis6/nis-spwd.c: Likewise.
	* nss_nis6/nis-initgroups.c: Likewise.
	* nss_nis6/nis-alias.c: Likewise.
	* nss_nis6/nis-proto.c: Likewise.
	* nss_nis6/nis-publickey.c: Likewise.
	* nss_nis6/nis-ethers.c: Likewise.
	* nss_nis6/nis-network.c: Likewise.

2015-02-27  Thorsten Kukuk  <kukuk@thkukuk.de>

	* lib/yp_all_host.c (yp_all_host): Fix wrong pointer.
	Reported by David Binderman.

2014-12-05  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 3.3

	* nss_nis6/Makefile.am: link nss_nis6 against tirpc
	* src/Makefile.am: link everything against tirpc

	* src/yp_dump_binding.c: Add -p and -v parameters
	* man/yp_dump_binding.8.in: Document -p and -v parameters

	* lib/do_ypcall.c: Use clnt_create_timed
	* lib/yp_all_host.c: Likewise.

2014-12-03  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 3.2

	* man/yppoll.8.in: Add missing description.

	* man/yp_dump_binding.8.in: New.

	* src/yp_dump_binding.c: New program to show binding information.

	* lib/do_ypcall.c (yp_bind_file): Fix file descriptor leak,
	fix path for ypbind v2 binding file.

	* src/Makefile.am (sbin_PROGRAMS): Add yp_dump_binding.

2014-12-02  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 3.1

	* lib/Makefile.am: Bump minor version number.
	* lib/do_ypcall.c: Use pthread functions for locks.
	* lib/yp_get_default_domain.c: Likewise.

	* nss_nis6/libc-lock.h: Add defines to use standard pthread functions.

	* src/Makefile.am: Change order of libraries for linking.

2014-11-03  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 3.0.1

	* lib/host2ypbind3_binding.c (__host2ypbind3_binding): Use
	clnt_create_timed with a timeout of 1 sec.

	* release version 3.0

	* lib: Add libnis library
	* nss_nis6: New, adjusted nss_nis module of glibc enabled
	to use IPv6, too.
	* src: Port all utilities to use TI-RPC and IPv6.

2012-04-09  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.14

	* man/ypmatch.1.in: Fix typo.
	* src/yppoll.c: Check for Null-Pointer

2013-04-08  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.13

	* config.sub: Update from autoconf 2.69
	* config.guess: Likewise.

	* src/yptest.c (main): order is unsigned int.

2011-08-31  Thorsten Kukuk  <kukuk@suse.de>

	* Adjust address of FSF.
	Patch by Honza Horak <hhorak@redhat.com>.

2010-04-21  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.12

	* src/yppasswd.c (main): Remove obsolete check for /etc/SuSE-release.

	* man/domainname.8.in: Fix typos.
	* man/ypcat.1.in: Fix typos.
	* man/ypmatch.1.in: Fix typos.
	* man/yppoll.8.in: Fix typos.
	* man/ypwhich.1.in: Fix typos.
	* man/ypset.8.in: Fix typos.
	* man/yptest.8.in: Fix typos.

	* configure.in: Fix check for passwd, chsh, chfn.

2010-04-20  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.11

	* Makefile.am: Add ypmatch_SOURCES.
	* src/yppasswd.c: Add support for MD5, SHA-256
	and SHA-512. Patch by Karel Klic <kklic@redhat.com>.

2007-01-24  Thorsten Kukuk  <kukuk@suse.de>

	* man/ypwhich.1.in: Fix spelling errors.
	* man/domainname.8.in: Likewise.
	* man/nicknames.5.in: Likewise.
	* man/ypcat.1.in: Likewise.
	* man/ypmatch.1.in: Likewise.
	* man/yppasswd.1.in: Likewise.
	* man/yppoll.8.in: Likewise.
	* man/ypset.8.in: Likewise.
	* man/yptest.8.in: Likewise.

2006-11-28  Thorsten Kukuk  <kukuk@suse.de>

	* man/ypcat.1.in: Fix typo.

2006-11-28  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.10

	* m4/gettext.m4: Upgrade to gettext-0.15.
	* m4/inttypes-h.m4: New file, from gettext-0.15.
	* m4/inttypes-pri.m4: Upgrade to gettext-0.15.
	* m4/lib-link.m4: Upgrade to gettext-0.15.
	* m4/lib-prefix.m4: Upgrade to gettext-0.15.
	* m4/lock.m4: New file, from gettext-0.15.
	* m4/longdouble.m4: Upgrade to gettext-0.15.
	* m4/nls.m4: Upgrade to gettext-0.15.
	* m4/po.m4: Upgrade to gettext-0.15.
	* m4/size_max.m4: Upgrade to gettext-0.15.
	* m4/visibility.m4: New file, from gettext-0.15.

	* po/sv.po: New swedish translation from
	Daniel Nylander <info@danielnylander.se>.

2004-06-21  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.9

	* src/yppasswd.c (main): Fix one byte overrun (reported
	by Alan Cox <alan@redhat.com>).

	* src/yppasswd.1.in: Fix yppasswd option (-p)
	Declare ypasswd, ypchsh and ypchfn as deprecated

2003-05-15  Thorsten Kukuk  <kukuk@suse.de>

	* lib/yp_all_host.c (yp_all_host): status is signed.
	* man/domainname.8.in: Add hint about programs caching
	the domainname

2002-03-07  Thorsten Kukuk  <kukuk@suse.de>

	* man/ypcat.1.in: fix typo (yset -> ypset).
        Reported by Hector Del Manzano <inq@charma.uprm.edu>.

2002-12-05  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.8

	* src/yppasswd.c (ypgetpw): Cast result of sizeof to int.

2002-05-30  Thorsten Kukuk  <kukuk@suse.de>

	* src/yppasswd.c (main): Make sure strings are NUL terminated
	after strncpy. Reported by Peter Breitenlohner <peb@mppmu.mpg.de>.

2002-05-23  Martin Vidner  <mvidner@suse.cz>

	* man/yptest.8.in: Fix some typos

2002-05-13  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7

	* src/yptest.c: Implement -q option.
	* man/yptest.8.in: Document all options.

	* man/ypset.8.in: Fix nroff syntax error.

	* man/yppasswd.1: Fix typo in yppasswd option.

	* configure.in: Add option to let yppasswd call passwd/chfn/chsh
	for changing user informations.

	* src/yppasswd.c (main): trucante password aging informations from
	the password field before comparing it (Patch from
	Alex Larsson <alexl@redhat.com>)

	* configure.in: Add options for cracklib support, fixes for new
	autoconf, prefer libxcrypt before libcrypt.
	* src/yppasswd.c: Fix cracklib support.
	* src/Makefile.am: Link yppasswdd against cracklib if supported.

2002-05-13  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(SUBDIRS): Remove intl.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): New variable.
	* configure.in (AC_OUTPUT): Add m4/Makefile.

2001-12-09  Thorsten Kukuk  <kukuk@suse.de>

	* src/Makefile.am (sbin_PROGRAMS): Add yptest
	* src/yptest.c: New file.
	* man/Makefile.am: Add manual page for yptest
	* man/yptest.8.in: New file.
	* configure.in: Create man/yptest.8

2001-12-08  Thorsten Kukuk  <kukuk@suse.de>

	* configure.in: Create manual pages in man directory.
	* man/Makefile.am: Remove old rules to create manual pages.

	* man/ypset.8.in: Allow only GPL version 2, rename PK_VERSION to
	VERSION.
	* man/domainname.8.in: Likewise.
	* man/nicknames.5.in: Likewise.
	* man/ypmatch.1.in: Likewise.
	* man/yppasswd.1.in: Likewise.
	* man/yppoll.8.in: Likewise.
	* man/ypwhich.1.in: Likewise.
	* man/ypcat.1.in: Likewise, also add description of -h option.

	* src/ypcat.c: Implement -h option (query specific host)

	* src/ypset.c: Allow only GPL version 2.
	* src/ypwhich.c: Likewise.
	* src/yppoll.c: Likewise.
	* src/yppasswd_xdr.c: Likewise.
	* src/ypmatch.c: Likewise.
	* src/ypcat.c: Likewise.
	* src/domainname.c: Likewise.

	* lib/Makefile.am (libyptools_a_SOURCES): Add yp_all_host.c.
	* lib/yp_all_host.c: New, yp_all with user supplied hostname.
	* lib/yp_all_host.h: New, prototypes for yp_all_host.c.
	* lib/Makefile.am (noinst_HEADERS): Add yp_all_host.h.

2001-10-31  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.6

	* src/ypset.c (main): Call setlocale for LC_CTYPE
	* src/ypwhich.c (main): Likewise
	* src/yppoll.c (main): Likewise
	* src/yppasswd.c (main): Likewise
	* src/ypmatch.c (main): Likewise
	* src/ypcat.c (main): Likewise
	* src/domainname.c (main): Likewise

	* src/yppoll.c: Include time.h, use time_t for order variable
	* src/yppasswd.c: Include time.h, don't compare old password
	  if passwd.adjunct map is used

	* configure.in: Add malloc debug options for dmalloc and efence

	* Makefile.am: Require automake 1.5, add dist-bzip2

2000-10-30  Thorsten Kukuk  <kukuk@suse.de>

	* Update to gettext 0.10.40
	* Update to automake 1.5
	* Update to autoconf 2.52

2000-05-21  Thorsten Kukuk  <kukuk@suse.de>

	* configure.in: Usr /usr/share/man if prefix = /usr.
	  libexecdir is /usr/lib/yp

	* src/yppasswd.c(getnismaster): print name of NIS master.

2001-03-11  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.5

	* src/domainname.c (print_error): Add missing argument to printf.

	* src/yppasswd.c (main): Use strncpy.
	  Dont't use the same buffer for old and new gecos value.

	* intl: Update to gettext 0.10.35

1999-12-07  Thorsten Kukuk  <kukuk@suse.de>

	* src/yppasswd.c: Fix size of static buffers.
	  Add patch from Lars R. Clausen <lrclause@www1.tam.uiuc.edu>
	  to make chsh and chfn work.

1999-11-21  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nicknames.c: Don't include malloc.h.

1999-10-22  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.4

	* src/ypwhich.c: Don't include malloc.h.
	* src/yppasswd.c: Likewise.

1999-10-18  Thorsten Kukuk  <kukuk@suse.de>

	* src/yppasswd.c (main): Don't print success if we have printed
	  an error message earlier.

1999-07-30  Thorsten Kukuk  <kukuk@suse.de>

	* etc/nicknames: Change hosts alias to hosts.byname.

1999-06-29  Thorsten Kukuk  <kukuk@suse.de>

	* src/yppasswd.c: Add defines for no glibc systems.

	* src/ypmatch.c: Include more header files for Solaris

	* configure.in: check for rpc/clnt_soc.h
	* src/ypwhich.c: add rpc headers

	* lib/getline.c: Include getline.h
	* intl/libgettext.h: Fix some #if
	  Patches from Peter Breitenlohner <peb@mppmu.mpg.de>

1999-05-18  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.3

	* src/ypcat.c (print_data): Mark indata as unused.

1999-05-01  Thorsten Kukuk  <kukuk@suse.de>

	* man/nicknames.5.in: Fix typo.

1999-02-28  Thorsten Kukuk  <kukuk@suse.de>

	* src/yppasswd.c: Add prototype for getrpcport if needed.
	* src/ypset.c: Likewise.

1999-02-17  Thorsten Kukuk  <kukuk@suse.de>

	* src/Makefile.am: Fix rule for installing links for domainname.
	* po/de.po: Fix typos.

1998-11-11  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release version 2.2

	* src/ypwhich.c: Fix inclusion of local header files.
	* src/domainname.c: Likewise.
	* src/ypmatch.c: Likewise.
	* src/ypcat.c: Likewise.
	* src/yppasswd.c: Likewise.
	* src/yppoll.c: Likewise.
	* src/ypset.c: Likewise.

	* src/Makefile.am (INCLUDES): Remove -I$(top_srcdir)/lib, or
	  we will use the wrong headers on some systems.

	* configure.in (WARNFLAGS): Add much more option to find much more
	  problems.

1998-05-28  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release version 2.1

	* src/ypmatch.c (main): Return 1 if entry not found. Reported by
	  Klaus Steinberger <Klaus.Steinberger@Physik.Uni-Muenchen.DE>.

1998-05-26  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/domainname.c (main): Don't print `\n` if we set the domainname.
	  Reported by  Richard Gooch <Richard.Gooch@atnf.csiro.au>

1998-05-19  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release version 2.0

	* src/Makefile.am: Rename rootbin to rootexecbin.
	* src/Makefile.am (install-exec-hook): Fix creating of domainname
	  links.

	* src/ypwhich.c (main): Move yp_get_default_domain out of
	  mflag case, so that all cases except -x use it. Reported by
	  Klaus Steinberger <Klaus.Steinberger@Physik.Uni-Muenchen.DE>.

1998-05-17  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* man/yppasswd.1.in: Fix to match new yppasswd version.

	* man/nicknames.5.in: Fix AUTHOR section.
	* man/ypcat.1.in: Likewise.
	* man/ypmatch.1.in: Likewise.
	* man/yppoll.8.in: Likewise.
	* man/ypset.8.in: Likewise.
	* man/ypwhich.1.in: Likewise.

	* man/domainname.8.in: Add new features of nis-/ypdomainname.

	* src/Makefile.am (install-exec-hook): Use hard link for
	  nisdoaminname/ypdomainname.

	* src/domainname.c: domainname uses getdomainname,
	  [nis|yp]domainname uses yp_get_default_domain.

1998-05-12  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* configure.in: Set MAN_DOMAINNAME

	* man/Makefile.am (man_MANS): Add Manual pages for domainname only,
	  if we wish to install the program.

1998-05-10  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release beta version 1.99.2

	* configure.in: Fix for gettext 0.10.35

	* man/ypcat.1.in: New.
	* man/ypmatch.1.in: New.
	* man/yppoll.8.in: New.
	* man/ypset.8.in: New.

	* man/yppasswd.8: Renamed to ...
	* man/yppasswd.8.in: ... this.

	* src/yppasswd.c: Complete rewritten.

	* src/ypcat.c (main): Check result from yp_get_default_domain.
	* src/ypmatch.c (main): Likewise.
	* src/yppoll.c (main): Likewise.
	* src/ypset.c (main): Likewise.
	* src/ypwhich.c (main): Likewise.

1998-05-09  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* man/Makefile.am: Fix the rules for manual pages

	* src/yppasswd.h: New, from glibc 2.1 snapshot 980509
	* src/yppasswd_xdr.c: New generated.

	* src/domainname.c (print_error): Change error message.
	* src/ypcat.c (print_error): Likewise.
	* src/ypmatch.c (print_error): Likewise.
	* src/yppoll.c (print_error): Likewise.
	* src/ypset.c (print_error): Likewise.
	* src/ypwhich.c (print_error): Likewise.

1998-04-24  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/ypwhich.c (main): Replace inet_addr with inet_aton.

	* src/ypset.c: Complete rewritten.

	* man/Makefile.am: Add domainname.8,nisdomainname.8,ypdomainname.8

	* man/ypwhich.1.in: fix section of domainname

	* src/domainname.c: New.

	* src/Makefile.am: Add rules for domainname with special
	  install rules

	* configure.in: Add domainname rules, remove tr from LINUGUAS

	* release beta version 1.99.1

	* src/Makefile.am: Use ${DESTDIR} for creating links

	* lib/yp-tools.h: New file.

	* lib/yp_xdr.h: Removed.
	* lib/ypbinderr_string.h: Removed.

	* lib/yp_xdr.c: Don't include rpcsvc/yp*.h, but yp-tools.h.
	* lib/ypbinderr_string.c: Likewise.
	* src/ypcat.c: Likewise.
	* src/ypmatch.c: Likewise.
	* src/yppoll.c: Likewise.
	* src/ypset.c: Likewise.
	* src/ypwhich.c: Likewise.

1998-04-19  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release beta version 1.99.0

	* src/ypcat.c (print_data): Check if invallen is correct.

	* src/yppoll.c: Include <rpc/rpc.h>

1998-04-16  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/yp_xdr.c: New.
	* lib/yp_xdr.h: New.

	* lib/Makefile.am (libyptools_a_SOURCES): Add yp_xdr.*

1998-04-15  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/ypcat.c: Complete rewritten, fix keylen problem.

	* src/ypmatch.c: Fix typos.

1998-04-07  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/yppasswd.c (main): Fix version printing.

	* src/ypmatch.c: Complete rewritten.

	* man/nicknames.5.in: New.

	* man/Makefile.am: Add nicknames.5.in

1998-04-06  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/yppoll.c: Complete rewritten.

1998-04-04  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/Makefile.am: Add noinst_HEADERS.

	* acinclude.m4: New, contains AM_FUNC_GETLINE.

1998-04-03  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/ypwhich.c: Complete rewritten.

	* lib/ypbinderr_string.c: New.
	* lib/ypbinderr_string.h: New.

	* man/Makefile.am (ypwhich.1): use $(srcdir)

	* configure.in: Add test for getopt_long

	* src/Makefile.am: Lot of bug fixes.

1998-02-06  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release version 1.4.1

	* src/ypwhich.c (bind_host): Fix typo

	* src/yppasswd.c (ypgetpw): Clear the responce struct.

1997-12-30  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release version 1.4

	* src/ypset.c: Fix typos.
	* src/yppoll.c: Likewise.
	* src/ypwhich.c: Likewise.

	* src/yppasswd.c: Include <sys/param.h> for libc5

	* src/Makefile.am: Add LDADD to yppasswd_LDADD

	* configure.in: Create links for libintl.h if necessary

1997-12-21  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/Makefile.am: Create ypchsh and ypchfn links on install

	* man/Makefile.am: Install ypchsh.1 and ypchfn.1

	* yp-tools.spec: Update list of installed files

	* man/ypchsh.1: New
	* man/ypchfn.1: New

1997-12-2  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/ypwhich.c: Fix error messages

1997-11-29  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release version 1.3

	* All files internationalized

	* Use of automake

	* new directory structure

	* src/ypmatch.c: Fix return codes

	* start ChangeLog file
